
Python GMN - Bug #7295

Critical bug in GMN process_system_metadata_refresh_queue

2015-08-17 21:58 - Mark Servilla

Status: Closed Start date: 2015-08-17

Priority: Urgent Due date:  

Assignee: Mark Flynn % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Story Points:    

Description

The V1 GMN process_system_metatdata_refresh_queue suffers from the same lack of singular process control as the

process_replication_queue: see https://redmine.dataone.org/issues/7240.

Related issues:

Related to Python GMN - Bug #7240: Critical bug in GMN process_replication_queue Closed 2015-06-29

History

#1 - 2015-08-17 21:59 - Mark Servilla

- Related to Bug #7240: Critical bug in GMN process_replication_queue added

#2 - 2015-10-06 18:32 - Mark Flynn

- Status changed from New to Closed

- % Done changed from 0 to 100

Used the same fix as for process_replication_queue.  Added file lock that persists while process_system_metadata_refresh_queue is running.  
